Download nabi Sync

nabi Sync

Looking for nabi Sync?

Return to this page on your Mac or PC to download nabi Sync.

RETURN TO NABI SYNC

System Requirements:

  • Windows XP with Service Pack 3, Windows Vista, Windows 7 or Windows 8
  • Mac OSX Lion or OSX Mountain Lion
  • Over-the-Air Update (OTA) v.1.9.23

*Make sure your nabi 2 is running version 1.9.23 or later.

Where is it?
  • This field is required.
  • Invalid Serial.
  • This field is required.
  • This field is required.
  • Incorrect email / password.
  • Uknown Error.

By clicking download, you agree to the nabi Sync End User License Agreement and nabi Cloud Terms of Service

Legal Notices